PUT /api/v3/meterGroup/category/{categoryId}

Update a meter group category

EditMeterCategoryV3 Permissions: BuildingAndMeterGroups (Edit)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
categoryId Id of the category to update integer (int32) Required

Request Body

MeterCategoryRequest
Property Description Type
meterGroupCategoryCode The meter category code Must be between 0 and 32 characters Required string
meterGroupCategoryInfo The meter category info Must be between 0 and 32 characters Required string
Example Request Body application/json
{  "meterGroupCategoryCode": "string",  "meterGroupCategoryInfo": "string"
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

MeterCategoryResponse
Property Description Type
autoGroup Is this category an automatically maintained one? boolean
meterGroupCategoryCode The meter category code string
meterGroupCategoryId The meter category identifier integer (int32)
meterGroupCategoryInfo The meter category name string
numberOfGroups Number of groups within this category integer (int32)
numberOfGroupsWithVisibleMembers Number of groups within this category with members the logged in can see integer (int32)
Example Response application/json
{  "autoGroup": false,  "meterGroupCategoryCode": "string",  "meterGroupCategoryId": 1,  "meterGroupCategoryInfo": "string",  "numberOfGroups": 1,  "numberOfGroupsWithVisibleMembers": 1
}